package vo

type PayResp struct {
	Sign                          string `json:"sign"`                              //签名字符串  Base64编码
	YsepayOnlineWeixinPayResponse string `json:"ysepay_online_weixin_pay_response"` //业务响应参数的集合，最大长度不限
}

type WeixinPayResp struct {
	Code             string  `json:"code"`               //响应代码
	Msg              string  `json:"msg"`                //响应代码描述
	OutTradeNo       string  `json:"out_trade_no"`       //商户系统生成的订单号
	TradeNo          string  `json:"trade_no"`           //银盛支付交易流水号
	TradeStatus      string  `json:"trade_status"`       //交易状态，成功状态的值： TRADE_SUCCESS参考附录8.1
	TotalAmount      int     `json:"total_amount"`       //该笔订单的资金总额
	Currency         string  `json:"currency"`           //交易币种 默认CNY
	ExtraCommonParam string  `json:"extra_common_param"` //公用回传参数 商户自定义数据域，原样返回
	JsapiPayInfo     string  `json:"jsapi_pay_info"`     //Json格式字符串，作用于原生态的js支付时的参数
	IsDiscount       string  `json:"is_discount"`        //是否参与优惠，Y表示参与，N表示不参与
	TotalDisCount    float64 `json:"total_discount"`     //参考总优惠金额 100．00
	ChannelSendSN    string  `json:"channel_send_sn"`    //发往渠道流水号
}

// 银盛异步通知
type NotifyPayReq struct {
	SignType    string `json:"sign_type"`    //签名类型
	Sign        string `json:"sign"`         //签名字符串
	NotifyType  string `json:"notify_type"`  //通知类型
	NotifyTime  string `json:"notify_time"`  //发送请求的时间
	OutTradeNo  string `json:"out_trade_no"` //商户生成的订单号
	TradeStatus string `json:"trade_status"` //交易目前所处的状态 成功状态的值： TRADE_SUCCESS
}
